External issue:    

Description

The list of provided profile fields is not ideal for everybody (e.g. in my setup half of the fields are never filled out and I miss other

fields like phone number(s), Skype and other IM accounts, etc.). It would be better to have fewer fields pre-defined and instead allow

the administrator to define custom fields.

History

#1 - 21 Oct 2011 08:01 - Andriy Lesyuk

- Status changed from New to Incomplete

Actually this was what I thought about too... But - here is the table of fields:

Field Reason to include

Company Displayed as <a href="[Company website]">[Company]</a> what can’t

be achieved otherwise.

Company website Displayed as <a href="[Company website]">[Company]</a> what can’t

be achieved otherwise.

Position

Project of interest Can’t be added otherwise.

Personal website Rendered as a link. Has hint “http://”.

Blog Rendered as a link. Has hint “http://”.

Facebook ID/username Rendered as a link. Has hint “e.g. 100000066953233”.

Twitter username Rendered as a link, displayed as @[Twitter username]. Has hint “e.g.

twitter”.

LinkedIn Rendered as a link. Has hint “http://”.

As you see almost all of them have a reason to be included into Extended profile... However I believe I went the wrong way now!

This also answers your second question - right now custom fields are supported by core Redmine! For this the plugin is not needed!

Here is what I could do and what I believe could be a better solution:

Overwrite how custom fields are rendered. That is support some render types e.g.:

Link (href) with <choose another field> and Link (anchor) with <choose another field>;

Link (if just starts with href:// maybe);

Twitter mention.

Define new custom field type “Project list”.

Now these fields cannot be removed! Users will be suprised if I do this...  What I can do is to provide a form in administration panel to disable them...
#2 - 21 Oct 2011 08:14 - Daniel Seifert

Andriy Lesyuk wrote:

As you see almost all of them have a reason to be included into Extended profile...

 

I think this is the wrong way to look at it. Of course it’s better to render them “properly”, however this does not alleviate the problem that for some

installations this set of provided fields does not match their list of required fields.

This also answers your second question - right now custom fields are supported by core Redmine! For this the plugin is not needed!

 

Ah, I entirely overlooked this option!  Yes, this should solve some of these problems.

Here is what I could do and what I believe could be a better solution:

Overwrite how custom fields are rendered. That is support some render types e.g.:

Link (href) with <choose another field> and Link (anchor) with <choose another field>;

Link (if just starts with href:// maybe);

Twitter mention.

Define new custom field type “Project list”.

Now these fields cannot be removed! Users will be suprised if I do this...  What I can do is to provide a form in administration panel to disable

them...

 

Not sure what you mean by “cannot be removed”.

However the idea with render types is very nice. You could predefine some common types and otherwise have admins provide a template for

displayed text and link.

#3 - 21 Oct 2011 08:26 - Andriy Lesyuk

25 Apr 2024 2/3



Not sure what you mean by “cannot be removed”.

 

I mean should not be removed! Saying you have 5,000 users 1,000 of which specified LinkedIn... If plugin upgrade removes a field these data will be

lost.

#4 - 21 Oct 2011 08:49 - Daniel Seifert

Of course. However there could be the option to automatically convert them. Alternatively it may be interesting to add an option to hide certain fields.

#5 - 25 Oct 2011 11:33 - Andriy Lesyuk

- Status changed from Incomplete to In Progress

- % Done changed from 0 to 50

#6 - 26 Oct 2011 11:13 - Andriy Lesyuk

- % Done changed from 50 to 80

#7 - 27 Oct 2011 10:56 - Andriy Lesyuk

- % Done changed from 80 to 100

#8 - 30 Oct 2011 18:14 - Andriy Lesyuk

- Status changed from In Progress to Won't Fix

#9 - 19 Dec 2011 22:02 - Andriy Lesyuk

Released Extended Profile 1.0.0 which is based on Extended Fields...  This does what you wanted!

#10 - 15 Jan 2012 19:01 - Daniel Seifert

Perfect! Thank you very much, this looks great!
